'use strict';

var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var _objectWithoutProperties = require('@babel/runtime/helpers/objectWithoutProperties');
var React = require('react');
var neetoCist = require('@bigbinary/neeto-cist');
var reactI18next = require('react-i18next');
var injectCss = require('./inject-css-vQvjPR2x.js');
var jsxRuntime = require('react/jsx-runtime');

var css = ".neeto-molecules-made-with__wrapper{background:#fff;border:1px solid #dfdfde;border-radius:.25rem;color:#000;font-family:-apple-system,BlinkMacSystemFont,Inter,Arial,Segoe UI,Roboto,Oxygen,Ubuntu,Fira Sans,Droid Sans,Helvetica Neue,sans-serif;font-size:.875rem;font-weight:400;padding:.25rem .375rem;transition:all;transition-duration:.3s;-webkit-user-select:none;-moz-user-select:none;user-select:none}.neeto-molecules-made-with__wrapper strong{font-weight:700}.neeto-molecules-made-with__wrapper:hover{box-shadow:inset 0 0 0 1px #dfdfde}";
injectCss.n(css,{});

var _excluded = ["productName"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var MadeWith = function MadeWith(_ref) {
  var _globalProps$organiza;
  var productName = _ref.productName,
    otherProps = _objectWithoutProperties(_ref, _excluded);
  var name = neetoCist.capitalize(productName || globalProps.appName);
  var subdomain = (_globalProps$organiza = globalProps.organization) === null || _globalProps$organiza === void 0 ? void 0 : _globalProps$organiza.subdomain;
  var utmParams = "utm_source=madewith".concat(subdomain ? "&utm_campaign=".concat(subdomain) : "");
  return /*#__PURE__*/jsxRuntime.jsx("a", _objectSpread(_objectSpread({
    className: "neeto-molecules-made-with__wrapper",
    "data-cy": "made-with-".concat(name.toLowerCase()),
    "data-testid": "made-with-".concat(name.toLowerCase()),
    href: "https://www.neeto.com/".concat(name.toLowerCase(), "?").concat(utmParams),
    rel: "noreferrer",
    target: "_blank"
  }, otherProps), {}, {
    children: /*#__PURE__*/jsxRuntime.jsx(reactI18next.Trans, {
      i18nKey: "neetoMolecules.common.madeWith",
      values: {
        productName: name
      }
    })
  }));
};
var index = /*#__PURE__*/React.memo(MadeWith);

module.exports = index;
//# sourceMappingURL=MadeWith.js.map
