'use strict';

var classnames = require('classnames');
var Typography = require('@bigbinary/neetoui/Typography');
var reactI18next = require('react-i18next');
var jsxRuntime = require('react/jsx-runtime');

var MobilePreviewHeader = function MobilePreviewHeader(_ref) {
  var _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    _ref$message = _ref.message,
    message = _ref$message === void 0 ? "" : _ref$message;
  var _useTranslation = reactI18next.useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: classnames(["neeto-ui-bg-gray-200 px-6 py-5", className]),
    "data-cy": "mobile-preview-header",
    children: /*#__PURE__*/jsxRuntime.jsx(Typography, {
      lineHeight: "normal",
      style: "body2",
      children: message || t("neetoMolecules.mobilePreview.message")
    })
  });
};

module.exports = MobilePreviewHeader;
//# sourceMappingURL=MobilePreviewHeader.js.map
