'use strict';

var classnames = require('classnames');
var injectCss = require('./inject-css-vQvjPR2x.js');
var jsxRuntime = require('react/jsx-runtime');

var css = ".neeto-molecules-tablewrapper-pagination--height{padding:0 0 3rem}";
injectCss.n(css,{});

var TableWrapper = function TableWrapper(_ref) {
  var children = _ref.children,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    _ref$hasPagination = _ref.hasPagination,
    hasPagination = _ref$hasPagination === void 0 ? false : _ref$hasPagination;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    "data-testid": "table-wrapper",
    className: classnames("flex min-h-0 w-full flex-grow flex-col pb-6", className),
    children: /*#__PURE__*/jsxRuntime.jsx("div", {
      className: classnames("min-h-0 flex-grow", {
        "neeto-molecules-tablewrapper-pagination--height": hasPagination
      }),
      children: children
    })
  });
};

module.exports = TableWrapper;
//# sourceMappingURL=TableWrapper.js.map
