import React from 'react';

/**
 *
 * A full-page component that allows you to track user activities, including
 *
 * sign-ups, profile updates, and invitations. It provides detailed log entries
 *
 * with metadata.
 *
 * @example 
 *
 * import NeetoAuditLogs from "@bigbinary/neeto-molecules/AuditLogs";
 * 
 * const AuditLogs = () => <NeetoAuditLogs />;
 * @endexample
*/
declare const AuditLogs: React.FC<{
  headerProps?: HeaderProps;
}>;

export { AuditLogs as default };
