import React from 'react';

/**
 *
 * Can be used to show preview message for smaller viewports.
 *
 * @example 
 *
 * import MobilePreviewHeader from "@bigbinary/neeto-molecules/MobilePreviewHeader";
 * 
 * const App = () => <MobilePreviewHeader />;
 * @endexample
*/
declare const MobilePreviewHeader: React.FC<{
  message?: React.ReactNode;
  className?: string;
}>;

export { MobilePreviewHeader as default };
