import { forwardRef } from 'react';
import classnames from 'classnames';
import { P as PropTypes } from './index-DAYCJu79.js';
import { n } from './inject-css-DmrvuTKK.js';
import { jsx } from 'react/jsx-runtime';
import './_commonjsHelpers-BFTU3MAI.js';

var css = ".neeto-molecules-container{align-items:flex-start;display:flex;flex-direction:column;flex-grow:1;height:100vh;justify-content:flex-start;overflow-y:auto;padding:0 2.5rem}@media screen and (max-width:768px){.neeto-molecules-container{padding:0 1.25rem}}.neeto-molecules-container--header-fixed{padding:0}.neeto-molecules-container--header-fixed>.neeto-molecules-header,.neeto-molecules-container--header-fixed>.neeto-molecules-scrollable,.neeto-molecules-container--header-fixed>.neeto-molecules-subheader{padding-left:2.5rem;padding-right:2.5rem}@media screen and (max-width:768px){.neeto-molecules-container--header-fixed>.neeto-molecules-header,.neeto-molecules-container--header-fixed>.neeto-molecules-scrollable,.neeto-molecules-container--header-fixed>.neeto-molecules-subheader{padding-left:1.25rem;padding-right:1.25rem}}";
n(css,{});

var Container = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var _ref$isHeaderFixed = _ref.isHeaderFixed,
    isHeaderFixed = _ref$isHeaderFixed === void 0 ? false : _ref$isHeaderFixed,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    children = _ref.children;
  return /*#__PURE__*/jsx("div", {
    ref: ref,
    className: classnames("neeto-molecules-container", {
      "neeto-molecules-container--header-fixed": isHeaderFixed
    }, className),
    children: children
  });
});
Container.displayName = "Container";
Container.propTypes = {
  /**
   * Decides whether the `Header` component should be stickied at the top on scroll.
   */
  isHeaderFixed: PropTypes.bool,
  /**
   * Additional classes to be added to the modal
   */
  className: PropTypes.string
};

export { Container as default };
//# sourceMappingURL=Container.js.map
