import classnames from 'classnames';
import Typography from '@bigbinary/neetoui/Typography';
import { useTranslation } from 'react-i18next';
import { jsx } from 'react/jsx-runtime';

var MobilePreviewHeader = function MobilePreviewHeader(_ref) {
  var _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    _ref$message = _ref.message,
    message = _ref$message === void 0 ? "" : _ref$message;
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  return /*#__PURE__*/jsx("div", {
    className: classnames(["neeto-ui-bg-gray-200 px-6 py-5", className]),
    "data-cy": "mobile-preview-header",
    children: /*#__PURE__*/jsx(Typography, {
      lineHeight: "normal",
      style: "body2",
      children: message || t("neetoMolecules.mobilePreview.message")
    })
  });
};

export { MobilePreviewHeader as default };
//# sourceMappingURL=MobilePreviewHeader.js.map
