'use strict';

var classnames = require('classnames');
var injectCss = require('./inject-css-vQvjPR2x.js');
var jsxRuntime = require('react/jsx-runtime');

var css = ".neeto-molecules-browser-preview{background-color:rgb(var(--neeto-ui-white));border:1px solid rgb(var(--neeto-ui-gray-300));border-radius:var(--neeto-ui-rounded-lg);display:flex;flex-direction:column;overflow:hidden;position:relative;width:100%}.neeto-molecules-browser-preview .neeto-molecules-browser-preview__header{border-bottom:1px solid rgb(var(--neeto-ui-gray-300));flex-shrink:0;padding:12px}.neeto-molecules-browser-preview .neeto-molecules-browser-preview__body{display:flex;flex-direction:column;flex-grow:1;min-height:0;overflow-y:auto}";
injectCss.n(css,{});

var BrowserIcon = function BrowserIcon() {
  return /*#__PURE__*/jsxRuntime.jsxs("svg", {
    fill: "none",
    height: "12",
    viewBox: "0 0 52 12",
    width: "52",
    xmlns: "http://www.w3.org/2000/svg",
    children: [/*#__PURE__*/jsxRuntime.jsx("path", {
      d: "M11.5 6a5.5 5.5 0 11-11 0 5.5 5.5 0 0111 0z",
      fill: "#FF5F57",
      stroke: "#E14640"
    }), /*#__PURE__*/jsxRuntime.jsx("path", {
      d: "M31.5 6a5.5 5.5 0 11-11 0 5.5 5.5 0 0111 0z",
      fill: "#FFBD2E",
      stroke: "#DFA123"
    }), /*#__PURE__*/jsxRuntime.jsx("path", {
      d: "M51.5 6a5.5 5.5 0 11-11 0 5.5 5.5 0 0111 0z",
      fill: "#28CA42",
      stroke: "#1DAD2C"
    })]
  });
};

var BrowserPreview = function BrowserPreview(_ref) {
  var wrapperClassName = _ref.wrapperClassName,
    className = _ref.className,
    children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    className: classnames("neeto-molecules-browser-preview", wrapperClassName),
    "data-testid": "browser-preview",
    children: [/*#__PURE__*/jsxRuntime.jsx("div", {
      className: "neeto-molecules-browser-preview__header",
      children: /*#__PURE__*/jsxRuntime.jsx(BrowserIcon, {})
    }), /*#__PURE__*/jsxRuntime.jsx("div", {
      className: classnames("neeto-molecules-browser-preview__body", className),
      "data-testid": "browser-preview-body",
      children: children
    })]
  });
};

module.exports = BrowserPreview;
//# sourceMappingURL=BrowserPreview.js.map
