'use strict';

var React = require('react');
var classnames = require('classnames');
var index = require('./index-JY2zVpnv.js');
var injectCss = require('./inject-css-vQvjPR2x.js');
var jsxRuntime = require('react/jsx-runtime');
require('./_commonjsHelpers-BJu3ubxk.js');

var css = ".neeto-molecules-container{align-items:flex-start;display:flex;flex-direction:column;flex-grow:1;height:100vh;justify-content:flex-start;overflow-y:auto;padding:0 2.5rem}@media screen and (max-width:768px){.neeto-molecules-container{padding:0 1.25rem}}.neeto-molecules-container--header-fixed{padding:0}.neeto-molecules-container--header-fixed>.neeto-molecules-header,.neeto-molecules-container--header-fixed>.neeto-molecules-scrollable,.neeto-molecules-container--header-fixed>.neeto-molecules-subheader{padding-left:2.5rem;padding-right:2.5rem}@media screen and (max-width:768px){.neeto-molecules-container--header-fixed>.neeto-molecules-header,.neeto-molecules-container--header-fixed>.neeto-molecules-scrollable,.neeto-molecules-container--header-fixed>.neeto-molecules-subheader{padding-left:1.25rem;padding-right:1.25rem}}";
injectCss.n(css,{});

var Container = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var _ref$isHeaderFixed = _ref.isHeaderFixed,
    isHeaderFixed = _ref$isHeaderFixed === void 0 ? false : _ref$isHeaderFixed,
    _ref$className = _ref.className,
    className = _ref$className === void 0 ? "" : _ref$className,
    children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    ref: ref,
    className: classnames("neeto-molecules-container", {
      "neeto-molecules-container--header-fixed": isHeaderFixed
    }, className),
    children: children
  });
});
Container.displayName = "Container";
Container.propTypes = {
  /**
   * Decides whether the `Header` component should be stickied at the top on scroll.
   */
  isHeaderFixed: index.PropTypes.bool,
  /**
   * Additional classes to be added to the modal
   */
  className: index.PropTypes.string
};

module.exports = Container;
//# sourceMappingURL=Container.js.map
