import React from 'react';
import { TypographyProps, TooltipProps } from '@bigbinary/neetoui';
import { timeFormat, DateTimeType } from '@bigbinary/neeto-commons-frontend/utils';

declare const DateFormat: {
  [key in Capitalize<keyof typeof timeFormat>]: React.FC<{
    date: DateTimeType;
    timerInterval?: number;
    tooltipDateFormat?: keyof typeof timeFormat;
    typographyProps?: Partial<TypographyProps>;
    tooltipProps?: Partial<TooltipProps>;
  }>;
};

export { DateFormat as default };
