import React from 'react';

/**
 *
 * A component used for rendering made with block.
 *
 * @example 
 *
 * import MadeWith from "@bigbinary/neeto-molecules/MadeWith";
 * 
 * <MadeWith />;
 * @endexample
*/
declare const MadeWith: React.FC<{
  productName?: string;
}>;

export { MadeWith as default };
