import React from 'react';
import { TypographyProps, TooltipProps } from '@bigbinary/neetoui';
import { timeFormat, DateTimeType } from '@bigbinary/neeto-commons-frontend/utils';

declare const TimeFormat: {
  [key in Capitalize<keyof typeof timeFormat>]: React.FC<{
    date: DateTimeType;
    typographyProps?: Partial<TypographyProps>;
    tooltipProps?: Partial<TooltipProps>;
  }>;
};

export { TimeFormat as default };
